<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classuHTR__trig__RX__STARTUP__FSM.html">uHTR_trig_RX_STARTUP_FSM</a></li><li class="navelem"><a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a854313333034627489b32cb97a703195"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a854313333034627489b32cb97a703195"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a854313333034627489b32cb97a703195">PROCESS_922</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7bfe0479b0d9b4390747ed7e9ce7f05e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bfe0479b0d9b4390747ed7e9ce7f05e"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a7bfe0479b0d9b4390747ed7e9ce7f05e">PROCESS_923</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1ea7ec76f6b4573f0b4e174d01412c37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ea7ec76f6b4573f0b4e174d01412c37"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a1ea7ec76f6b4573f0b4e174d01412c37">retries_recclk_monitor</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac1cd5d563a13a7a8d207346a543d3c57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1cd5d563a13a7a8d207346a543d3c57"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ac1cd5d563a13a7a8d207346a543d3c57">timeouts</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afc4b6d8bbcf87ee30deb10e8c655f5c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc4b6d8bbcf87ee30deb10e8c655f5c5"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#afc4b6d8bbcf87ee30deb10e8c655f5c5">mmcm_lock_wait</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a526436ab3c0ae2b8dcd13999688cc13f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a526436ab3c0ae2b8dcd13999688cc13f"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a526436ab3c0ae2b8dcd13999688cc13f">PROCESS_924</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RXUSERCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2901d0153785395deb7aa1ea329eb016"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2901d0153785395deb7aa1ea329eb016"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a2901d0153785395deb7aa1ea329eb016">PROCESS_925</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a70df9afca633fda07eedeb763c34311c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a70df9afca633fda07eedeb763c34311c"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a70df9afca633fda07eedeb763c34311c">PROCESS_926</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a84eb94caa2b87adea99db7105f7c019e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84eb94caa2b87adea99db7105f7c019e"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a84eb94caa2b87adea99db7105f7c019e">PROCESS_927</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a108d3ba36d68ce79a3773067f8487de1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a108d3ba36d68ce79a3773067f8487de1"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a108d3ba36d68ce79a3773067f8487de1">timeout_buffer_bypass</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">RXUSERCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a777c5e83ddb0149fb84cbabd2f741d18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a777c5e83ddb0149fb84cbabd2f741d18"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a777c5e83ddb0149fb84cbabd2f741d18">reset_fsm</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">STABLE_CLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a09e4e7028acb85f01bbd3c73e06b39b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09e4e7028acb85f01bbd3c73e06b39b2"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a09e4e7028acb85f01bbd3c73e06b39b2">uHTR_trig_sync_block</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:aa60056faba83b18dd47141310c1db606"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa60056faba83b18dd47141310c1db606"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa60056faba83b18dd47141310c1db606">MMCM_LOCK_CNT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1024</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adbcbaff5f2f769e437c1ae03cc53c10d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbcbaff5f2f769e437c1ae03cc53c10d"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#adbcbaff5f2f769e437c1ae03cc53c10d">STARTUP_DELAY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">500</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9503b26b0b4d99bef252871890ed8a8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9503b26b0b4d99bef252871890ed8a8f"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a9503b26b0b4d99bef252871890ed8a8f">WAIT_CYCLES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">STARTUP_DELAY</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1ebbb442969eb65f5cff298a081020c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ebbb442969eb65f5cff298a081020c8"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a1ebbb442969eb65f5cff298a081020c8">WAIT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_CYCLES</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add97125de03f94eb9c4a32b6d453e52c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add97125de03f94eb9c4a32b6d453e52c"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#add97125de03f94eb9c4a32b6d453e52c">WAIT_TIMEOUT_2ms</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2000000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48245c5daa0d11c61303ca98641cb268"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48245c5daa0d11c61303ca98641cb268"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a48245c5daa0d11c61303ca98641cb268">WAIT_TLOCK_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">100000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9ac42c3a28bd12da865b294accbb20b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9ac42c3a28bd12da865b294accbb20b"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ac9ac42c3a28bd12da865b294accbb20b">WAIT_TIMEOUT_500us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">500000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c23aa57b5d1fc0eac8cdde3e40d4f36"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c23aa57b5d1fc0eac8cdde3e40d4f36"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a0c23aa57b5d1fc0eac8cdde3e40d4f36">WAIT_TIMEOUT_1us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a878d5c70f987ee225ff65c32a41c7477"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a878d5c70f987ee225ff65c32a41c7477"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a878d5c70f987ee225ff65c32a41c7477">WAIT_TIMEOUT_100us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">100000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2186244c5aee467745ef7ac3e076c585"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2186244c5aee467745ef7ac3e076c585"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a2186244c5aee467745ef7ac3e076c585">WAIT_TIME_ADAPT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">37000000</span> <span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar">.</span> <span class="vhdldigit">6</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc03293fc08346292c7edbcc46a6b928"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc03293fc08346292c7edbcc46a6b928"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#acc03293fc08346292c7edbcc46a6b928">MAX_RETRIES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">RETRY_COUNTER_BITWIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5cc3096cde7eed65c28851f6c0979b1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cc3096cde7eed65c28851f6c0979b1b"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a5cc3096cde7eed65c28851f6c0979b1b">MAX_WAIT_BYPASS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">5000</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a4c091cf05f092fd7687ca39cf1c779b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c091cf05f092fd7687ca39cf1c779b4"></a>
<b><a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a4c091cf05f092fd7687ca39cf1c779b4">rx_rst_fsm_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ASSERT_ALL_RESETS</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RELEASE_PLL_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">VERIFY_RECCLK_STABLE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RELEASE_MMCM_RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_RESET_DONE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DO_PHASE_ALIGNMENT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MONITOR_DATA_VALID</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">FSM_DONE</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aa01c24e901db5057261b5b6a7baca348"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa01c24e901db5057261b5b6a7baca348"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa01c24e901db5057261b5b6a7baca348">rx_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">rx_rst_fsm_type</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">INIT</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52cda54e7b8155ab9dc776b5266c45d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52cda54e7b8155ab9dc776b5266c45d8"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a52cda54e7b8155ab9dc776b5266c45d8">init_wait_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_MAX</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86fac81b99a4a170e480e26a7f40e0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86fac81b99a4a170e480e26a7f40e0c4"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a86fac81b99a4a170e480e26a7f40e0c4">init_wait_done</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab0252db8c85646b97885002863377cbd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0252db8c85646b97885002863377cbd"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ab0252db8c85646b97885002863377cbd">pll_reset_asserted</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a548020e2c38e635fabb218d2be0a2a5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a548020e2c38e635fabb218d2be0a2a5a"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a548020e2c38e635fabb218d2be0a2a5a">rx_fsm_reset_done_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade36d85825b661e357a729d57e19416a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade36d85825b661e357a729d57e19416a"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ade36d85825b661e357a729d57e19416a">rx_fsm_reset_done_int_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ff88e679a2cf1d5f093e53a1ca46969"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ff88e679a2cf1d5f093e53a1ca46969"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a3ff88e679a2cf1d5f093e53a1ca46969">rx_fsm_reset_done_int_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a93c05bc43f4b309d39c149b8fde17e9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93c05bc43f4b309d39c149b8fde17e9e"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a93c05bc43f4b309d39c149b8fde17e9e">rxresetdone_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a89a8e083c71968108d87d9d27211da72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89a8e083c71968108d87d9d27211da72"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a89a8e083c71968108d87d9d27211da72">rxresetdone_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6bbb3303280df268c1d688d908a71038"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bbb3303280df268c1d688d908a71038"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a6bbb3303280df268c1d688d908a71038">retry_counter_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MAX_RETRIES</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c7311af85f2d7657efbd760990878ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c7311af85f2d7657efbd760990878ca"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a2c7311af85f2d7657efbd760990878ca">time_out_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_TIMEOUT_2ms</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53e10be066bad38577576cf1dc9ab239"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53e10be066bad38577576cf1dc9ab239"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a53e10be066bad38577576cf1dc9ab239">recclk_mon_restart_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac54c906231ab7bec2b35b767dd3284dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac54c906231ab7bec2b35b767dd3284dd"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ac54c906231ab7bec2b35b767dd3284dd">recclk_mon_count_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1eae8f13d762b3f6caf3b19361d244b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1eae8f13d762b3f6caf3b19361d244b8"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a1eae8f13d762b3f6caf3b19361d244b8">reset_time_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f2f514af46c259176f5b7e84ab9a841"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f2f514af46c259176f5b7e84ab9a841"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a6f2f514af46c259176f5b7e84ab9a841">time_out_2ms</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28023ea14329fc7ca21f62520cfc337c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28023ea14329fc7ca21f62520cfc337c"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a28023ea14329fc7ca21f62520cfc337c">time_tlock_max</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a60d87ad2d9d9b475c6e22cbadb684e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a60d87ad2d9d9b475c6e22cbadb684e"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a8a60d87ad2d9d9b475c6e22cbadb684e">time_out_500us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa222255f75906ede7228917f21bee43a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa222255f75906ede7228917f21bee43a"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa222255f75906ede7228917f21bee43a">time_out_1us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6738b2a9052e3d39482ac20d11c727f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6738b2a9052e3d39482ac20d11c727f"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa6738b2a9052e3d39482ac20d11c727f">time_out_100us</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94c229eb9ad0081265625d05b2b14e23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94c229eb9ad0081265625d05b2b14e23"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a94c229eb9ad0081265625d05b2b14e23">check_tlock_max</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a05b0536ca552b145d0203e36a764e59e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05b0536ca552b145d0203e36a764e59e"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a05b0536ca552b145d0203e36a764e59e">mmcm_lock_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MMCM_LOCK_CNT_MAX</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae5896bdcd20f8c4e5eea86a3d1c4430b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5896bdcd20f8c4e5eea86a3d1c4430b"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ae5896bdcd20f8c4e5eea86a3d1c4430b">mmcm_lock_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3561eee24cfd6d09fa2ceaa60b3e95fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3561eee24cfd6d09fa2ceaa60b3e95fa"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a3561eee24cfd6d09fa2ceaa60b3e95fa">mmcm_lock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad53e2b9a6c0b367fb7601095ebecae02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad53e2b9a6c0b367fb7601095ebecae02"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ad53e2b9a6c0b367fb7601095ebecae02">mmcm_lock_reclocked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ad41004f6614ad588373aa322658636"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ad41004f6614ad588373aa322658636"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a4ad41004f6614ad588373aa322658636">run_phase_alignment_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a54e0a0afef47a2034872f9004a5366f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54e0a0afef47a2034872f9004a5366f8"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a54e0a0afef47a2034872f9004a5366f8">run_phase_alignment_int_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6f90e0679c88c4eaddef7abf5ba1bcdc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f90e0679c88c4eaddef7abf5ba1bcdc"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a6f90e0679c88c4eaddef7abf5ba1bcdc">run_phase_alignment_int_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6ac4f9cb420d47d712340b219261148"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6ac4f9cb420d47d712340b219261148"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#ab6ac4f9cb420d47d712340b219261148">wait_bypass_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MAX_WAIT_BYPASS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95aa1d88bcad5570f89176267b272741"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95aa1d88bcad5570f89176267b272741"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a95aa1d88bcad5570f89176267b272741">time_out_wait_bypass</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0e52ccd688901c8121b0982121ccd023"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e52ccd688901c8121b0982121ccd023"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a0e52ccd688901c8121b0982121ccd023">time_out_wait_bypass_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa664cfccb07b0cb818ca61fd450ba7f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa664cfccb07b0cb818ca61fd450ba7f0"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa664cfccb07b0cb818ca61fd450ba7f0">time_out_wait_bypass_s3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaa2e121dc27dd343345af511446ba732"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa2e121dc27dd343345af511446ba732"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aaa2e121dc27dd343345af511446ba732">refclk_lost</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa00b1d7d59c98553d2827e751b746178"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa00b1d7d59c98553d2827e751b746178"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aa00b1d7d59c98553d2827e751b746178">time_out_adapt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeb185c67e841f6b7a95af5f8d0220e76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb185c67e841f6b7a95af5f8d0220e76"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#aeb185c67e841f6b7a95af5f8d0220e76">adapt_count_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a624aa7df12ee001d5dffe1e248f7e667"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a624aa7df12ee001d5dffe1e248f7e667"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a624aa7df12ee001d5dffe1e248f7e667">adapt_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_TIME_ADAPT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0ed4ea214ba7a4b4741e6d7de6cdd012"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ed4ea214ba7a4b4741e6d7de6cdd012"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a0ed4ea214ba7a4b4741e6d7de6cdd012">data_valid_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af86747e982646a7d11c9e1bf258af7fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af86747e982646a7d11c9e1bf258af7fe"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#af86747e982646a7d11c9e1bf258af7fe">cplllock_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f23a640ae92a9768da2bca38fd06b56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f23a640ae92a9768da2bca38fd06b56"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a7f23a640ae92a9768da2bca38fd06b56">qplllock_sync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37c76a8d341a5c6be712c5783afe1cb4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37c76a8d341a5c6be712c5783afe1cb4"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a37c76a8d341a5c6be712c5783afe1cb4">cplllock_prev</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6541298f213ed17e2ccec5c48696a817"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6541298f213ed17e2ccec5c48696a817"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a6541298f213ed17e2ccec5c48696a817">qplllock_prev</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b1f33f05732be88bc956dc0ab898bb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b1f33f05732be88bc956dc0ab898bb8"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a7b1f33f05732be88bc956dc0ab898bb8">cplllock_ris_edge</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a07a79f82b02f1304a790b70f73344ccf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07a79f82b02f1304a790b70f73344ccf"></a>
<a class="el" href="classuHTR__trig__RX__STARTUP__FSM_1_1RTL.html#a07a79f82b02f1304a790b70f73344ccf">qplllock_ris_edge</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="uhtr__trig__rx__startup__fsm_8vhd_source.html#l00129">129</a> of file <a class="el" href="uhtr__trig__rx__startup__fsm_8vhd_source.html">uhtr_trig_rx_startup_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/HCAL_trig/uHTR_trig/example_design/<a class="el" href="uhtr__trig__rx__startup__fsm_8vhd_source.html">uhtr_trig_rx_startup_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
